Package org.eclipse.jdt.ui.cleanup

## Class CleanUpContext

- java.lang.Object
- - org.eclipse.jdt.ui.cleanup.CleanUpContext

    public class CleanUpContext
    extends Object

The context that contains all information required by a clean up to create a fix.

Since:
  3.5

### Constructor Summary

Constructors
`CleanUpContext​(ICompilationUnit unit, CompilationUnit ast)` Creates a new clean up context.

### Method Summary

All Methods Instance Methods Concrete Methods
`CompilationUnit` `getAST()` An AST built from the compilation unit to fix.
`ICompilationUnit` `getCompilationUnit()` The compilation unit to clean up.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CleanUpContext

    public CleanUpContext​(ICompilationUnit unit,
                          CompilationUnit ast)

Creates a new clean up context.

Parameters:
  `unit` - the compilation unit
  `ast` - the AST, can be `null` if `CleanUpRequirements.requiresAST()` returns `false`. The AST is guaranteed to contain changes made by previous clean ups only if `CleanUpRequirements.requiresFreshAST()` returns `true`.

### Method Detail

#### getCompilationUnit

    public ICompilationUnit getCompilationUnit()

The compilation unit to clean up.

Returns:
  the compilation unit to clean up

#### getAST

    public CompilationUnit getAST()

An AST built from the compilation unit to fix.

Can be `null` if `CleanUpRequirements.requiresAST()` returns `false`. The AST is guaranteed to contain changes made by previous clean ups only if `CleanUpRequirements.requiresFreshAST()` returns `true`.

Clients should check the AST API level and do nothing if they are given an AST they can't handle (see `AST.apiLevel()`).

Returns:
  an AST or `null` if none required